#!/usr/local/bin/perl -w

use WebReader::Interface;

my $numRequests = 10;
my $minLength = 50;
my $sleepSeconds = 3;
my $relative = 0;
my $maxNumber = 10;

while(1)
{
	print "Query (0 to exit): ";
	$query = <>;
	chomp($query);

	if( $query ne '0' )
	{
		print "How many sentences to stop at? ";
		$maxNumber = <>;
		chomp($maxNumber);
		
		print "Only save query-word containing sentences (y/n)? ";
		$answer = <>;
		chomp($answer);
		$relative = 1 if ($answer =~ /^y/i);
		
		$fetch = WebReader::Interface->new(1);	
		@sentences = $fetch->HarvestSentences($query, $maxNumber, $minLength, $relative, $numRequests, $sleepSeconds);
		
		for $sen (@sentences)
		{
			print "** $sen\n";
		}

		print "\n\n";
	}
	else
	{
		exit(1);
	}
}
	
